<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\FilterSettings\Teilnehmer;

use Kufer\Web\Classes\Dbfilter\TeilnehmerSQLFilter;
use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;
use Kufer\Web\Classes\Dbfilter\ISQLFilter;


class TeilnehmerVonFirmenanmeldungFirmenanmeldungFilterSettings implements IFilterSettings
{
  
  protected $firmenTnr;

  public function __construct(int $firmenTnr)
  {
    $this->firmenTnr = $firmenTnr;
  }

  
  public function applySettings($filter): ISQLFilter
  {
    $belegungenFilter = \Kufer\Web\Classes\Dbfilter\BelegungenSQLFilter::create();
    $belegungenFilter->equalsFirmaId($this->firmenTnr);
    $filter->applyBelegungenFilter($belegungenFilter);

    return $filter;
  }

  public function assertFilterClass($filter): void
  {
    assert($filter instanceof TeilnehmerSQLFilter);
  }
}